iPhone 3G and 3GS Owners Can Now Download Older Versions of Apps From the App Store

iPhone 3G owners can finally stop threatening to throw away their phones. Users with older iPhones can now download legacy versions of apps that no longer support their device. For example, the iPhone 3G only supports iOS 4.2.1, and iPhone 3GS users will not be able to download iOS 7 when it is officially launched on September 18th. This causes a problem for users with older phones because most apps currently require iOS 4.3 or later to work.

App Store Legacy App

As you can see from the screenshot above, the App Store will now give you the option to install the "last compatible version" of an app. So if you're stuck at iOS 4.2.1, but the app you want to install now requires iOS 4.3 to work, you can now download the 4.2.1 version of that app.

This is great news for people with jailbroken devices and older devices like the original iPhone. It is also good to know that you can now hold onto your iPhone even longer than before, and can ignore future iOS updates if you choose too.

Also don't forget, this does not mean you will have access to every app in the App Store. It will only work with apps that originally supported your current version of iOS.

Comments

Help on how to install app on my iPhone 3GS.please thanks.nosa Greg

This message comes up on my fone but when i say download it asks me to login and when i do it just keeps bringing back up ny username and blank password ? when i put it in again that just keeps happening ?? Anyone can help ??

Not working for me. Any idea?

I don't get that option screen either, just a later version of OS required! I have been trying for days & more, various ways. My iphone3 was reset before I received it so haven't managed to add any apps at all, so it does appear a bit redundant?? :-(

What apps are you trying to install?

iphone os 4.2.1 whatapps plzzzzz..

iphone os 4.2.1 whatapps plzzzzz.. and other app

iphone os 4.2.1 whatapps plzzzzz.. and other app

I am sick of this phone I am using I have not been able to use some apps which I won't on it pls help me out

I am sick of this phone I am using I have not been able to use some apps which I wont on it pls help me out

can't update my whasapp. every time I update it through apple store, it says : this version o whatsApp has expired. Please go to the App store to update it

whatsapp would be good for starting, facebook, tripadviser, booking.com and so on. Do I need to jail break the phone or can I force an upgrade to the latest OS? Any guidance appreciated to a complete novice! Many Thanks, Derek.

temple run 2

Temple Run 2 is pretty new, there are not many older versions of it.

I was trying to download whatsapp on my iphone 3gs ios Version 4.1 but it is asking for version 4.3.
Please advise me on what to do?

I am not getting to download whatsaap and blackberry messenger to my iPhone 3G when I try to do same I am told to update ios 4.3

My iPhone 3G and iphone 4 don't install any apps.

I cant instal whatsapp and iOS 4.3 plz help me befor workig but no working now

I also got the same problem with my phone please an I seriously need help urgently

I cant instal whatsapp and iOS 4.3 plz help me befor workig but no working now

Sir
I have iPhone 3
I download Facebook,and games
PlZz help me
iOS 6

Dear Sir,,, please help me

I was trying to download whatsapp on my iphone 3gs ios Version 4.1 but it is asking for version 4.3.
Please advise me on what to do?

First you have to update your ios verson on itunes but first give me your app store username and password and i'll fix it biometrically

I do not have computer I want to download watsapp on my iPhone 3g 4.2.1

i bought my iphone 3g from some one tried to open up my apple id in the above names and email but i cant open application store a can not download any thing that requires my itunes help me pliz

It's alway asking for 4.3 whenever am trying to download whats apps

Hi guys I just got this iPhone 3G I think it was reset ever since iv been using it I can't download any apps to it. Can you Please help out. I need apps like whatsapp,facebook, and BBM if possible

Yeah your right

i'm not getting this option how do i get it? I can't install facebook or anything??

Pages